> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hudhud.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# List Place Categories

> Returns the supported place categories, each with an English and Arabic name. A category key may be used as the query of a places search to filter by that category.



## OpenAPI

````yaml /swagger.json get /places/categories
openapi: 3.1.0
info:
  description: >-
    Hudhud Maps provides the most accurate, real-time mapping data for the
    Kingdom of Saudi Arabia.
  title: Next-Generation Geospatial Intelligence for Saudi Arabia
  version: '1.0'
servers:
  - description: Production
    url: https://b.hudhud.sa/v1
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /places/categories:
    get:
      tags:
        - Places
      summary: List Place Categories
      description: >-
        Returns the supported place categories, each with an English and Arabic
        name. A category key may be used as the query of a places search to
        filter by that category.
      operationId: PlacesCategories
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response-PlacesCategoriesResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response-any'
          description: Missing or invalid API key
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response-any'
          description: API key type is not secret
      security:
        - BearerAuth: []
components:
  schemas:
    Response-PlacesCategoriesResponse:
      properties:
        data:
          $ref: '#/components/schemas/PlacesCategoriesResponse'
        error:
          description: Error message (only present when ok is false)
          example: ''
          type: string
        ok:
          description: Whether the request was successful
          example: true
          type: boolean
      type: object
    Response-any:
      properties:
        data:
          description: Response payload
        error:
          description: Error message (only present when ok is false)
          example: ''
          type: string
        ok:
          description: Whether the request was successful
          example: true
          type: boolean
      type: object
    PlacesCategoriesResponse:
      description: Response payload
      properties:
        categories:
          description: Supported place categories, ordered by key
          items:
            $ref: '#/components/schemas/catalog.Category'
          type: array
          uniqueItems: false
      type: object
    catalog.Category:
      properties:
        key:
          type: string
        name_ar:
          type: string
        name_en:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: >-
        JWT Bearer token for authentication. Example: "Bearer
        YOUR_API_TOKEN_HERE"
      in: header
      name: Authorization
      type: apiKey

````